import * as o from "react";
import { useMemo as s } from "react";
import "../../../@ant-design/cssinjs/es/extractStyle.mjs";
import "../../../@ant-design/cssinjs/es/hooks/useCacheToken.mjs";
import "../../../@ant-design/cssinjs/es/StyleContext.mjs";
import "../../../@ant-design/cssinjs/es/theme/createTheme.mjs";
import "../../../rc-util/es/warning.mjs";
import "../../../@ant-design/cssinjs/es/theme/ThemeCache.mjs";
import "../../../@ant-design/cssinjs/es/hooks/useCompatibleInsertionEffect.mjs";
import "../../../@ant-design/cssinjs/es/hooks/useEffectCleanupRegister.mjs";
import "../../../@ant-design/cssinjs/es/hooks/useHMR.mjs";
import "../../../@ant-design/cssinjs/es/transformers/legacyLogicalProperties.mjs";
import d from "../theme/useToken.mjs";
import { TinyColor as e } from "../../../@ctrl/tinycolor/dist/module/index.mjs";
const i = () => {
  const [, m] = d(), {
    colorFill: t,
    colorFillTertiary: l,
    colorFillQuaternary: n,
    colorBgContainer: r
  } = m, {
    borderColor: c,
    shadowColor: a,
    contentColor: p
  } = s(() => ({
    borderColor: new e(t).onBackground(r).toHexShortString(),
    shadowColor: new e(l).onBackground(r).toHexShortString(),
    contentColor: new e(n).onBackground(r).toHexShortString()
  }), [t, l, n, r]);
  return /* @__PURE__ */ o.createElement("svg", {
    width: "64",
    height: "41",
    viewBox: "0 0 64 41",
    xmlns: "http://www.w3.org/2000/svg"
  }, /* @__PURE__ */ o.createElement("g", {
    transform: "translate(0 1)",
    fill: "none",
    fillRule: "evenodd"
  }, /* @__PURE__ */ o.createElement("ellipse", {
    fill: a,
    cx: "32",
    cy: "33",
    rx: "32",
    ry: "7"
  }), /* @__PURE__ */ o.createElement("g", {
    fillRule: "nonzero",
    stroke: c
  }, /* @__PURE__ */ o.createElement("path", {
    d: "M55 12.76L44.854 1.258C44.367.474 43.656 0 42.907 0H21.093c-.749 0-1.46.474-1.947 1.257L9 12.761V22h46v-9.24z"
  }), /* @__PURE__ */ o.createElement("path", {
    d: "M41.613 15.931c0-1.605.994-2.93 2.227-2.931H55v18.137C55 33.26 53.68 35 52.05 35h-40.1C10.32 35 9 33.259 9 31.137V13h11.16c1.233 0 2.227 1.323 2.227 2.928v.022c0 1.605 1.005 2.901 2.237 2.901h14.752c1.232 0 2.237-1.308 2.237-2.913v-.007z",
    fill: p
  }))));
};
process.env.NODE_ENV !== "production" && (i.displayName = "SimpleImage");
const H = i;
export {
  H as default
};
